-- Die LUA Datei muss den gleichen Basisnamen wie das Szenario haben, z.B. bei "Sz.map": "Sz.lua".
-- Im Editor in "Edit -> Triggers" dafr ntig:
-- Name (Name des Triggers z.B. T1)
-- Count (0 bedeutet immer, 1=einmal, 2=zweimal, ...)
-- unter Condition: Name_Bedingung z.B. B1 (Name im Editor und hier mssen bereinstimmen)
-- 	(Typisch fr "Condition": CaptureFlagAction; StartTurnAction oder EndTurnAction) 
-- unter Function: Name_Funktion z.B. F1 (Name im Editor und hier mssen bereinstimmen)

--function B1()			-- Bedingung im Editor: Trigger Flaggennderung
--	hex = world:GetHex({13,8})	-- Variable Hexfeld
--	return hex.owner <> 31	-- Abfrage von Besitzer des Hexfelds (0=deutsch; 27=Nat.-Spanien; 31=Republik Spanien)
--end


function B1()			-- Bedingung im Editor: Trigger Rundenende
	return world.round == 6		-- Runde 5 definieren
end

titel = "Warnung"
message1 = "Es wurden neue Feindflugzeuge im Westen gesichtet."

function F1()		-- neue Einheit erzeugen und platzieren + Ausgabe Nachricht 
	local feld = {3,15}			-- Ort
	local einheit = "SRI16"		-- ID von spanisch-republikanisch I-16, siehe units.csv
	local player = world:GetPlayer(1)	-- welcher Spieler? (hier: 2.Spieler=Feind)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)	-- Einkauf welcher Einheit?
	create_action.auxiliary = false		-- Hilfs- oder Kerneinheit? (Kerneinheit)
	create_action.cost = 0			-- Preis? 0
	world:Exec(create_action)			-- Kaufaktion!
	local unit = world:GetUnit(create_action.id)	-- welche Einheit?
	local hex = world:GetHex(feld)			-- welches Hex?
	if (hex:GetUnit(0) == nil) then		-- prfen, ob Hex frei ist
		deploy_action = world:MakeDeployAction(unit,feld)	-- definieren, was wo platziert wird
		world:Exec(deploy_action)						-- Platzierung der Einheit!
	end

	local feld = {4,16}
	local einheit = "SRTupolevSB"
	local player = world:GetPlayer(1)	-- welcher Spieler? (hier: 2.Spieler=Feind)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)	-- Einkauf welcher Einheit?
	create_action.auxiliary = false		-- Hilfs- oder Kerneinheit? (Kerneinheit)
	create_action.cost = 0			-- Preis? 0
	world:Exec(create_action)			-- Kaufaktion!
	local unit = world:GetUnit(create_action.id)	-- welche Einheit?
	local hex = world:GetHex(feld)			-- welches Hex?
	if (hex:GetUnit(0) == nil) then		-- prfen, ob Hex frei ist
		deploy_action = world:MakeDeployAction(unit,feld)	-- definieren, was wo platziert wird
		world:Exec(deploy_action)						-- Platzierung der Einheit!
	end

	MessageBox(titel, message1)		-- Ausgabe Nachricht
end


-- eigener Held beim Szenario-Start, ohne unit-Zuordnung
-- Condition: AlwaysTrue()

function AlwaysTrue()
	return true
end

function CreateHero()
	local hero = NewHero() -- Held anlegen
	hero.portrait = "/Game/Gui/Common/Heroes/DE_AF_galland.DE_AF_galland" -- Bild zuweisen
--	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_W_Baskenland", "Adolf_Galland", "Adolf Galland") -- Namen vergeben
	hero.extra_traits = {UnitTrait.AimingAssistance, UnitTrait.FierceFighter, UnitTrait.Leadership} -- Bonus definieren
--	hero.extra_traits = {UnitTrait.AggressiveCounterattack}
--	hero.extra_traits = {UnitTrait.Camouflage}
--	hero.extra_traits = {UnitTrait.DoubleAttack}
--	hero.extra_traits = {UnitTrait.DoubleSupport}
--	hero.extra_traits = {UnitTrait.FearsomeReputation}
--	hero.extra_traits = {UnitTrait.IgnoresZOC, UnitTrait.Survivor, UnitTrait.Butcher, UnitTrait.TenaciousDefender}
--	hero.extra_traits = {UnitTrait.IncMaxOverstrength, UnitTrait.Avenger}
--	hero.extra_traits = {UnitTrait.IncMaxOverstrength, UnitTrait.IncMaxOverstrength, UnitTrait.IncMaxOverstrength}
--	hero.extra_traits = {UnitTrait.IncMaxOverstrength, UnitTrait.Unyielding}
--	hero.extra_traits = {UnitTrait.Legendary, UnitTrait.AimingAssistance, UnitTrait.Leadership}
--	hero.extra_traits = {UnitTrait.Leadership, UnitTrait.LastStand}
--	hero.extra_traits = {UnitTrait.OnTheRoll, UnitTrait.LastStand}
--	hero.extra_traits = {UnitTrait.OverwhelmingAttack}
--	hero.extra_traits = {UnitTrait.Readiness, UnitTrait.DoubleAttack}
--	hero.extra_traits = {UnitTrait.ShockTactics}
--	hero.extra_traits = {UnitTrait.Survivor, UnitTrait.Butcher, UnitTrait.TenaciousDefender}
--	hero.extra_traits = {UnitTrait.Unyielding}
--	hero.modifiers = {{type = Initiative, mod = 1}, {type = Spotting, mod = 1}}
--	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}}
--	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}}
--	hero.defense_modifiers = {{type = Ground, mod = 1}}
--	hero.unit_classes = {UnitClass.Fighter, UnitClass.TacticalBomber}
	local action = world:MakeNewHeroAction(0, hero) -- Held dem 1. Spieler zuweisen
	world:Exec(action) -- Ausfhrung
end
