-- Select entry point
if entry_point == "barbarossa" then
	goto barbarossa
elseif entry_point == "libya" then
	goto libya
elseif entry_point == "kursk" then
	goto kursk
elseif entry_point == "sicily" then
	goto sicily
end


-- Spanien
PlayScenario("W_Baskenland")

-- Poland
if (SelectPath("path_selection_1") == 1) then
	PlayScenario("PolandSouth1")
	PlayScenario("PolandSouth2")
else
	PlayScenario("PolandNorth1")
	PlayScenario("PolandNorth2")
end

-- Norway
if (SelectPath("path_selection_2") == 1) then
	PlayScenario("NorwaySouth")
else
	PlayScenario("NorwayNorth")
end

-- Low Countries
if (SelectPath("path_selection_3") == 1) then
	PlayScenario("LCSouth1")
	PlayScenario("LCSouth2")
else
	PlayScenario("LCNorth1")
	PlayScenario("LCNorth2")
end

-- France
if (SelectPath("path_selection_4") == 1) then
	PlayScenario("FranceDijon")
else
	PlayScenario("FranceParis")
end

-- East Front vs North Africa
if (SelectPath("path_selection_5") == 2) then
	goto barbarossa
end
PlayScenario("Libya_orig")
goto battleaxe

::libya::
PlayScenario("Libya")

::battleaxe::
PlayScenario("Battleaxe")
PlayScenario("Crusader")
PlayScenario("Gazala")
if (campaign.west == true) then
    if (SelectPath("path_selection_7") == 1) then
	    PlayScenario("Egypt")
	    PlayScenario("Levant")
	    PlayScenario("MiddleEast")
	    PlayScenario("Persia")
	    PlayScenario("Caucasus")
	    PlayScenario("Moscow43")
	    goto sealion
    else
	    PlayScenario("ElAlamein")
	    PlayScenario("W_N-Afrika")
	    PlayScenario("Kasserine")
	    goto tunisia
    end
else
    if (SelectPath("path_selection_7alt") == 1) then
	    PlayScenario("Egypt")
	    PlayScenario("Levant")
	    PlayScenario("MiddleEast")
	    PlayScenario("Persia")
	    PlayScenario("Caucasus")
	    PlayScenario("Moscow43")
	    goto sealion
    else
	    PlayScenario("ElAlamein")
	    PlayScenario("W_N-Afrika")
	    PlayScenario("Kasserine")
	    goto tunisia
    end
end

::barbarossa::
-- Balkan
PlayScenario("W_Balkan")
-- Barbarossa
barbarossa_choice = SelectPath("path_selection_6")
if (barbarossa_choice == 1) then
	PlayScenario("AGNorth")
	PlayScenario("Leningrad")
	PlayScenario("Moscow_1")
elseif (barbarossa_choice == 2) then
	PlayScenario("AGCenter")
	PlayScenario("Kiev")
	PlayScenario("Moscow_1")
else
	PlayScenario("AGSouth")
	PlayScenario("Kiev")
	PlayScenario("Rostov")
end
PlayScenario("Moscow_2")
PlayScenario("Kharkov42")
PlayScenario("Sevastopol")
PlayScenario("OperationBlue")
PlayScenario("Stalingrad")
if (campaign.east1 == true and campaign.east2 == true) then
    if (SelectPath("path_selection_8") == 1) then
	    PlayScenario("6thArmyESCAPE")
	    goto kharkov43	
    else
	    PlayScenario("6thArmyVOLGA")
	    PlayScenario("NewCapital")
	    goto sealion
    end
else
    if (SelectPath("path_selection_8alt") == 1) then
	    PlayScenario("6thArmyESCAPE")
	    goto kharkov43	
    else
	    PlayScenario("6thArmyVOLGA")
	    PlayScenario("NewCapital")
	    goto sealion
    end
end

::tunisia::
PlayScenario("Tunisia")
if (SelectPath("path_selection_9") == 1) then
	goto sicily
else
	goto kursk
end

::kharkov43::
PlayScenario("Kharkov43")
if (SelectPath("path_selection_9") == 1) then
	goto sicily
else
	goto kursk
end

::kursk::
PlayScenario("Kursk")
if (SelectPath("path_selection_10") == 1) then
	goto smolensk43
else
	goto salerno
end

::sicily::
PlayScenario("Sicily")
if (SelectPath("path_selection_10") == 1) then
	goto smolensk43
else
	goto salerno
end

::smolensk43::
PlayScenario("Smolensk43")
if (SelectPath("path_selection_11") == 1) then
	goto korsun
else
	goto gustavline
end

::salerno::
PlayScenario("Salerno")
if (SelectPath("path_selection_11") == 1) then
	goto korsun
else
	goto gustavline
end

::korsun::
PlayScenario("Korsun")
if (SelectPath("path_selection_12") == 1) then
	goto bagration
else
	goto normandy
end

::gustavline::
PlayScenario("GustavLine")
if (SelectPath("path_selection_12") == 1) then
	goto bagration
else
	goto normandy
end

::bagration::
PlayScenario("Bagration")
if (SelectPath("path_selection_13") == 1) then
	goto baltic
else
	goto cobra
end

::normandy::
PlayScenario("Normandy")
if (SelectPath("path_selection_13") == 1) then
	goto baltic
else
	goto cobra
end

::baltic::
PlayScenario("Baltic")
if (SelectPath("path_selection_14") == 1) then
	goto balaton
else
	goto rhine
end

::cobra::
PlayScenario("Cobra")
PlayScenario("Ardennes")
goto balaton

::balaton::
PlayScenario("Balaton")
goto berlin

::rhine::
PlayScenario("Rhine")
goto berlin

::berlin::
PlayScenario("Berlin")
goto done

::sealion::
PlayScenario("Sealion43_1")
PlayScenario("Sealion43_2")
PlayScenario("Sealion43_3")
PlayScenario("USA1")
PlayScenario("USA2")
PlayScenario("USA3")

::done::